|  | Home

# QtVariantEditorFactory Class Reference

The QtVariantEditorFactory class provides widgets for properties created by QtVariantPropertyManager objects. More...

     #include <QtVariantEditorFactory>

Inherits QtAbstractEditorFactory<QtVariantPropertyManager>.

- List of all members, including inherited members

### Public Functions

- QtVariantEditorFactory ( QObject * parent = 0 )
- ~QtVariantEditorFactory ()

- 5 public functions inherited from QtAbstractEditorFactory
- 1 public function inherited from QtAbstractEditorFactoryBase
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 3 protected functions inherited from QtAbstractEditorFactory
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtVariantEditorFactory class provides widgets for properties created by QtVariantPropertyManager objects.

The variant factory provides the following widgets for the specified property types:

Property Type | Widget
--- | ---
`int` | QSpinBox
`double` | QDoubleSpinBox
`bool` | QCheckBox
QString | QLineEdit
QDate | QDateEdit
QTime | QTimeEdit
QDateTime | QDateTimeEdit
QKeySequence | customized editor
QChar | customized editor
`enum` | QComboBox
QCursor | QComboBox

Note that QtVariantPropertyManager supports several additional property types for which the QtVariantEditorFactory class does not provide editing widgets, e.g. QPoint and QSize. To provide widgets for other types using the variant approach, derive from the QtVariantEditorFactory class.

See also QtAbstractEditorFactory and QtVariantPropertyManager.

## Member Function Documentation

### QtVariantEditorFactory::QtVariantEditorFactory ( QObject * parent = 0 )

Creates a factory with the given parent.

### QtVariantEditorFactory::~QtVariantEditorFactory ()

Destroys this factory, and all the widgets it has created.